# This file was generated by the `rspec --init` command. Conventionally, all
# specs live under a `spec` directory, which RSpec adds to the `$LOAD_PATH`.
# Require this file using `require "spec_helper"` to ensure that it is only
# loaded once.
#
# See http://rubydoc.info/gems/rspec-core/RSpec/Core/Configuration
RSpec.configure do |config|
  config.treat_symbols_as_metadata_keys_with_true_values = true
  config.run_all_when_everything_filtered = true
  config.filter_run :focus

  # Run specs in random order to surface order dependencies. If you find an
  # order dependency and want to debug it, you can fix the order by providing
  # the seed, which is printed after each run.
  #     --seed 1234
  config.order = 'random'
end

module SpecHelper
  def actual_version_should_match_rubies_version(actual_ruby_v, rubies_ruby_v, expect_prefix_and_patch = true)
    prefix_string = rubies_ruby_v.sub(/^([a-zA-Z]*).*/, '\1')
    if prefix_string == 'rbx'
      prefix_string = 'rubinius'
    elsif prefix_string == 'ree'
      prefix_string = 'Ruby Enterprise Edition'
    elsif prefix_string === ''
      prefix_string = 'ruby'
    end
    ver_string = rubies_ruby_v.sub(/^\D*([\d\.]*).*/, '\1')
    patch_string = if rubies_ruby_v =~ /.*?-p(\d+).*/
                     "#{$1}"
                   end
    #puts "Matching #{prefix_string.inspect}, #{ver_string.inspect}, #{patch_string.inspect}"
    actual_ruby_v.should include(ver_string)
    if expect_prefix_and_patch
      actual_ruby_v.should include(patch_string) if patch_string
      actual_ruby_v.should include(prefix_string)
    end
  end

end
